Subject: Re: gc/zero-length-branch-config-fix (was Re: What's cooking in git.git (Jun 2022, #01; Wed, 1))

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 02 Jun 2022 10:37:39 +0200

On Wed, Jun 01 2022, Glen Choo wrote:

> Junio C Hamano <[email-masked]> writes:
>
>> * gc/zero-length-branch-config-fix (2022-06-01) 2 commits
>>  - remote.c: reject 0-length branch names
>>  - remote.c: don't BUG() on 0-length branch names
>>
>>  A misconfigured 'branch..remote' led to a bug in configuration
>>  parsing.
>>
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> I'm happy to see this go to 'next' if Ævar doesn't have any lingering
> concerns over the commit message [1].
>
> [1] https://lore.kernel.org/git/[email-masked]

I'm happy to have it advance to "next" as-is. I just had a question
about if we thought this config existed in the wild, but that & the
answer can just live in the ML archive. Thanks.